globus_xio_ordering_driver_io(3)

NAME
globus_xio_ordering_driver_io - Reading/Writing

 - Reading/Writing.

SYNOPSIS

Detailed Description

Reading/Writing.

Ordering driver does not allow multiple globus_xio_register_read() to be outstanding. This limitation is there to enforce that the users get the read callback in order. There is a known issue in enforcing the order in which read callbacks are delivered with multiple outstanding reads. This limitation does not restrict the use of parallel reads feature provided by the underlying transport driver. GLOBUS_XIO_ORDERING_SET_MAX_READ_COUNT on the attr can be used to specify the number of parallel reads. Ordering will have a maximum of this many number of reads outstanding to the driver below it on the stack. It buffers the data read and delivers it to the user in order.

globus_xio_register_write() does not enforce any restriction.

Author

Generated automatically by Doxygen for globus_xio from the source code.